Issue 10376

Title
Remove _request from Cache context keys
Priority
feature
Status
resolved
Superseder
Cache removing context keys modify global context (issue 10380)
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2021-05-01.23:21:01 by ced, last changed yesterday by roundup-bot.

Messages

New changeset e5f067522f25 by Cédric Krier in branch '6.0':
Remove _request key from cache's context
https://hg.tryton.org/trytond/rev/e5f067522f25

New changeset cd9445c730e1 by Cédric Krier in branch '5.8':
Remove _request key from cache's context
https://hg.tryton.org/trytond/rev/cd9445c730e1

New changeset b8389dcee265 by Cédric Krier in branch '5.6':
Remove _request key from cache's context
https://hg.tryton.org/trytond/rev/b8389dcee265

New changeset 4a127308095a by Cédric Krier in branch '5.0':
Remove _request key from cache's context
https://hg.tryton.org/trytond/rev/4a127308095a
New changeset cd95a451e021 by Cédric Krier in branch 'default':
Remove _request key from cache's context
https://hg.tryton.org/tryton-env/rev/cd95a451e021
New changeset 32c2df0914f6 by Cédric Krier in branch 'default':
Remove _request key from cache's context
https://hg.tryton.org/trytond/rev/32c2df0914f6
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-05-01.23:27:14

For the same reason msg64546, it should be backported.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-05-01.23:21:00

Just like for client in issue10099, the _request key should be removed.

History
Date User Action Args
2021-05-07 00:06:35roundup-botsetkeyword: - backport
messages: + msg67465
2021-05-05 23:15:25roundup-botsetmessages: + msg67393
2021-05-05 23:15:17roundup-botsetmessages: + msg67392
nosy: + roundup-bot
status: testing -> resolved
2021-05-03 14:23:57cedsetsuperseder: + Cache removing context keys modify global context
2021-05-01 23:27:14cedsetkeyword: + backport
messages: + msg67145
2021-05-01 23:22:54reviewbotsetmessages: + msg67143
nosy: + reviewbot
2021-05-01 23:22:47cedsetkeyword: + review
reviews: 351901002
status: in-progress -> testing
2021-05-01 23:21:01cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)